TICK-006331 - ERRORE Modifica Ticket

Assegnato a : FEDERICO CALDON
Email : g.bonaldo@henoto.com
Team di assistenza : Assistenza Odoo I Livello
Data Creazione : 28/06/2022
Il ticket è Chiuso? : SI
Cliente : HENOTO SPA, GIORGIA BONALDO
Telefono :
Priorità : Alto
Data Chiusura : 06/07/2022
Categoria : Anomalia

Ciao Fede,
ho Odoo molto rallentato e mi continua a dare questo errore.
Puoi verificare come mai?
Non riesco a rifiutare il preventivo e a farne un altro per fare un nuovo RDP.
Sto sbagliando qualcosa? Ti ho copiato l'errore qua sotto.
Fammi sapere.
Grazie


Errore:
Odoo Server Error

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/odoo/fields.py", line 937, in __get__
value = record.env.cache.get(record, self)
File "/usr/lib/python3/dist-packages/odoo/api.py", line 960, in get
value = self._data[field][record.id][key]
KeyError: <odoo.api.Environment object at 0x7f65e03eb5c0>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/odoo/http.py", line 650, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/usr/lib/python3/dist-packages/odoo/http.py", line 310, in _handle_exception
raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise
raise value
File "/usr/lib/python3/dist-packages/odoo/http.py", line 692, in dispatch
result = self._call_function(**self.params)
File "/usr/lib/python3/dist-packages/odoo/http.py", line 342, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper
return f(dbname, *args, **kwargs)
File "/usr/lib/python3/dist-packages/odoo/http.py", line 335, in checked_call
result = self.endpoint(*a, **kw)
File "/usr/lib/python3/dist-packages/odoo/http.py", line 936, in __call__
return self.method(*args, **kw)
File "/usr/lib/python3/dist-packages/odoo/http.py", line 515, in response_wrap
response = f(*args, **kw)
File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 938, in call_button
action = self._call_kw(model, method, args, {})
File "/opt/odoo-addons/base/gi_makigami/controllers/controllers.py", line 68, in _call_kw
return super(DataSet, self)._call_kw(model, method, args, kwargs)
File "/opt/odoo-addons/base/gi_catalogue/controllers/main.py", line 31, in _call_kw
return super(DataSet, self)._call_kw(model, method, args, kwargs)
File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 926, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/usr/lib/python3/dist-packages/odoo/api.py", line 689, in call_kw
return call_kw_multi(method, model, args, kwargs)
File "/usr/lib/python3/dist-packages/odoo/api.py", line 680, in call_kw_multi
result = method(recs, *args, **kwargs)
File "/opt/odoo-addons/base/gi_booking/models/order.py", line 136, in action_custom_cancel
res = super(Sale_Order, self).action_custom_cancel()
File "/opt/odoo-addons/base/gi_staging_template/models/sale_order.py", line 55, in action_custom_cancel
res = super(SaleOrder, self).action_custom_cancel()
File "/opt/odoo-addons/base/gi_check_confirm_sale/models/sale_order.py", line 219, in action_custom_cancel
res = super(SaleOrder, self).action_custom_cancel()
File "/opt/odoo-addons/base/gi_supply/models/sale.py", line 378, in action_custom_cancel
record.sudo().cancel_supply_tasks(stage_id)
File "<decorator-gen-425>", line 2, in cancel_supply_tasks
File "/usr/lib/python3/dist-packages/odoo/api.py", line 369, in loop
result = [method(rec, *args, **kwargs) for rec in self]
File "/usr/lib/python3/dist-packages/odoo/api.py", line 369, in <listcomp>
result = [method(rec, *args, **kwargs) for rec in self]
File "/opt/odoo-addons/base/gi_supply/models/sale.py", line 243, in cancel_supply_tasks
{'stage_id': int(stage_id), 'old_stage_id': ps}
File "/opt/odoo-addons/base/gi_booking/models/project.py", line 208, in write
result = super(ProjTask, self).write(values)
File "/opt/odoo-addons/base/gi_makigami/models/project.py", line 19, in write
ret = super(ProjectTask, self).write(vals)
File "/opt/odoo-addons/base/ie_sketchup_info_aggiuntive/models/attribute.py", line 780, in write
ret = super(ProjectTask, self).write(vals)
File "/opt/odoo-addons/base/gi_teams_management/models/project_task.py", line 261, in write
ret = super(ProjectTask, self).write(values)
File "/opt/odoo-addons/base/gi_task/models/project_project.py", line 426, in write
res = super().write(vals)
File "/opt/odoo-addons/base/gi_event_lifecycle/models/project_task.py", line 163, in write
res = super(ProjectTask, self).write(vals)
File "/opt/odoo-addons/custom/gi_supplier_followers/models/project_task.py", line 79, in write
res = super(ProjectTask, self).write(values)
File "/opt/odoo-addons/base/gi_gantt_tasks/models/project_task.py", line 106, in write
res = super(ProjectTask, self).write(values)
File "/opt/odoo-addons/base/gi_supply/models/project.py", line 430, in write
ret = super(Task, self).write(values)
File "/opt/odoo-addons/base/gi_company_propagation/models/project_task.py", line 22, in write
res = super(ProjectTask, self).write(values)
File "/opt/odoo-addons/base/gi_catalogue/models/project.py", line 144, in write
res = super(ProjectTask, self).write(values)
File "/opt/odoo-addons/base/gi_sale/models/project_project.py", line 274, in write
return super(Task, self).write(vals)
File "/opt/odoo-addons/base/gi_project/models/project_project.py", line 293, in write
return super(ProjectTask, self).write(values)
File "/usr/lib/python3/dist-packages/odoo/addons/hr_timesheet/models/project.py", line 65, in write
result = super(Task, self).write(values)
File "/opt/odoo-addons/contrib/bi_subtask/models/task.py", line 63, in write
return super(ProjectTask, self).write(vals)
File "/usr/lib/python3/dist-packages/odoo/addons/project/models/project.py", line 674, in write
result = super(Task, self).write(vals)
File "/usr/lib/python3/dist-packages/odoo/addons/mail/models/mail_thread.py", line 282, in write
result = super(MailThread, self).write(values)
File "/usr/lib/python3/dist-packages/odoo/addons/mail/models/mail_activity.py", line 343, in write
return super(MailActivityMixin, self).write(vals)
File "/usr/lib/python3/dist-packages/odoo/models.py", line 3089, in write
self._write(old_vals)
File "/usr/lib/python3/dist-packages/odoo/models.py", line 3317, in _write
self.recompute()
File "/usr/lib/python3/dist-packages/odoo/models.py", line 4904, in recompute
vals = {n: rec[n] for n in ns}
File "/usr/lib/python3/dist-packages/odoo/models.py", line 4904, in <dictcomp>
vals = {n: rec[n] for n in ns}
File "/usr/lib/python3/dist-packages/odoo/models.py", line 4758, in __getitem__
return self._fields[key].__get__(self, type(self))
File "/usr/lib/python3/dist-packages/odoo/fields.py", line 941, in __get__
self.determine_value(record)
File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1028, in determine_value
self.compute_value(recs)
File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1008, in compute_value
self._compute_value(records)
File "/usr/lib/python3/dist-packages/odoo/fields.py", line 999, in _compute_value
getattr(records, self.compute)()
File "/usr/lib/python3/dist-packages/odoo/addons/hr_timesheet/models/project.py", line 28, in _hours_get
task.children_hours = children_hours
File "/usr/lib/python3/dist-packages/odoo/fields.py", line 963, in __set__
spec = self.modified_draft(record)
File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1111, in modified_draft
target = env.cache.get_records(target, field) - protected
File "/usr/lib/python3/dist-packages/odoo/api.py", line 1011, in get_records
for record_id, field_record_cache in self._data[field].items()
File "/usr/lib/python3/dist-packages/odoo/api.py", line 1012, in <listcomp>
if key in field_record_cache
File "/usr/lib/python3/dist-packages/odoo/api.py", line 777, in __hash__
return object.__hash__(self)
File "/usr/lib/python3/dist-packages/odoo/service/server.py", line 707, in time_expired
raise Exception('CPU time limit exceeded.')
Exception: CPU time limit exceeded.

Storico messaggi e comunicazioni

To install this Web App in your iPhone/iPad press and then Add to Home Screen.